org.springframework.ldap.config

## Class Elements

- java.lang.Object
- - org.springframework.ldap.config.Elements

-     public abstract class Elements
      extends Object

  Author:
    Mattias Hellborg Arthursson, Anindya Chatterjee

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONTEXT_SOURCE`
    `static String` | `DEFAULT_RENAMING_STRATEGY`
    `static String` | `DIFFERENT_SUBTREE_RENAMING_STRATEGY`
    `static String` | `LDAP_TEMPLATE`
    `static String` | `POOLING`
    `static String` | `POOLING2`
    `static String` | `REPOSITORIES`
    `static String` | `TRANSACTION_MANAGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Elements()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTEXT_SOURCE

          public static final String CONTEXT_SOURCE

      See Also:
        Constant Field Values

    - #### POOLING

          public static final String POOLING

      See Also:
        Constant Field Values

    - #### POOLING2

          public static final String POOLING2

      See Also:
        Constant Field Values

    - #### LDAP_TEMPLATE

          public static final String LDAP_TEMPLATE

      See Also:
        Constant Field Values

    - #### TRANSACTION_MANAGER

          public static final String TRANSACTION_MANAGER

      See Also:
        Constant Field Values

    - #### REPOSITORIES

          public static final String REPOSITORIES

      See Also:
        Constant Field Values

    - #### DEFAULT_RENAMING_STRATEGY

          public static final String DEFAULT_RENAMING_STRATEGY

      See Also:
        Constant Field Values

    - #### DIFFERENT_SUBTREE_RENAMING_STRATEGY

          public static final String DIFFERENT_SUBTREE_RENAMING_STRATEGY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Elements

          public Elements()